## mapnik 3.0.0~rc3+ds

=== debian/changelog ===
mapnik (3.0.0~rc3+ds-2) unstable; urgency=medium

  * Restore ftemplate-depth patch - it saves memory usage during compilation.

 -- Jérémy Lal <kapouer@melix.org>  Fri, 19 Jun 2015 18:31:08 +0200

mapnik (3.0.0~rc3+ds-1) unstable; urgency=medium

  * Imported Upstream version 3.0.0~rc3+ds
  * Python bindings are now in separate upstream project
  * Copyright:
    + syntax fixes
    + all DFSG-exluded files are now in separate upstream project
    + boost files moved to deps
  * Watch: fix mangling, watch rc releases
  * Build-Depends:
    + libcairo-dev instead of transitional libcairo2-dev
    + libgdal-dev instead of libgdal1-dev
    + libwebp-dev
    + libharfbuzz-dev
  * Patches:
    + unapply previous patches, applied upstream
  * Rules:
    + disable building with rpath
    + build new plugins: pgraster, topojson
  * Standards-Version 3.9.6

 -- Jérémy Lal <kapouer@melix.org>  Wed, 27 May 2015 21:13:32 +0200
