=== debian/control ===
Source: mapnik
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
 , David Paleino <dapal@debian.org>
 , Francesco Paolo Lovergine <frankie@debian.org>
 , Jérémy Lal <kapouer@melix.org>
Build-Depends:
 scons
 , debhelper (>= 9~)
 , libtool
 , libboost-filesystem-dev
 , libboost-system-dev
 , libboost-thread-dev
 , libboost-regex-dev
 , libboost-program-options-dev
 , libharfbuzz-dev
 , libicu-dev
 , libpng-dev
 , libjpeg-dev
 , libtiff-dev
 , zlib1g-dev
 , libfreetype6-dev
 , libxml2-dev
 , libproj-dev
 , libcairo-dev
 , pkg-config
 , libpq-dev
 , libgdal-dev
 , libsqlite3-dev
 , libcurl4-gnutls-dev
 , librasterlite-dev
 , libwebp-dev
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.mapnik.org/
Vcs-Git: git://anonscm.debian.org/pkg-grass/mapnik.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/mapnik.git

Package: libmapnik3.0
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , ttf-dejavu
Suggests: postgis
Description: C++ toolkit for developing GIS applications (libraries)
 Mapnik is an OpenSource C++ toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 This package contains the shared library and input plugins.

Package: libmapnik2-dev
Priority: extra
Section: oldlibs
Architecture: all
Depends:
 libmapnik-dev
 , ${misc:Depends}
Description: C++ toolkit for developing GIS applications (dummy)
 Mapnik is an OpenSource C++ toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 This package is a transitional package, and can be safely removed if
 nobody depends on it.

Package: libmapnik-dev
Section: libdevel
Architecture: any
Breaks: libmapnik2-dev (<< 2.2.0+ds1-1~)
Replaces: libmapnik2-dev (<< 2.2.0+ds1-1~)
Depends:
 ${misc:Depends}
 , libmapnik3.0 (= ${binary:Version})
 , libc6-dev | libc-dev
 , libboost-filesystem-dev
 , libboost-system-dev
 , libboost-thread-dev
 , libboost-regex-dev
 , libboost-program-options-dev
 , libicu-dev
 , libharfbuzz-dev
 , libpng-dev
 , libjpeg-dev
 , libtiff-dev
 , zlib1g-dev
 , libfreetype6-dev
 , libxml2-dev
 , libproj-dev
 , libcairo2-dev
 , pkg-config
 , libpq-dev
 , libgdal-dev
 , libsqlite3-dev
 , libcurl4-gnutls-dev
 , librasterlite-dev
Recommends: mapnik-doc
Description: C++ toolkit for developing GIS applications (devel)
 Mapnik is an OpenSource C++ toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 This package contains the development headers, API documentation, and
 build utilities.

Package: mapnik-utils
Section: utils
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
Description: C++ toolkit for developing GIS applications (utilities)
 Mapnik is an OpenSource C++ toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 This package contains miscellaneous utilities distributed with mapnik:
 .
 shapeindex: program to creates file system based index for ESRI shape-files

Package: mapnik-doc
Section: doc
Architecture: all
Recommends: libmapnik-dev
Depends: ${misc:Depends}
Description: C++ toolkit for developing GIS applications (doc)
 Mapnik is an OpenSource C++ toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 This package contains developer documentation.
