=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# scons flags
# Disable parallel build - it exhausts memory on s390, mipsel, mips
SCONS = $(shell which scons)
SCONS_FLAGS := -j1
# -O2
SCONS_FLAGS += OPTIMIZATION=2
SCONS_FLAGS += FULL_LIB_PATH=False
SCONS_FLAGS += INPUT_PLUGINS=csv,gdal,geojson,ogr,osm,pgraster,postgis,raster,rasterlite,shape,sqlite,topojson
SCONS_FLAGS += PROJ_INCLUDES=/usr/include PROJ_LIBS=/usr/lib
SCONS_FLAGS += SYSTEM_FONTS=/usr/share/fonts
SCONS_FLAGS += XMLPARSER=libxml2
SCONS_FLAGS += DEMO=False
SCONS_FLAGS += CPP_TESTS=False
SCONS_FLAGS += PREFIX=/usr LIB_DIR_NAME=/mapnik/3.0
SCONS_FLAGS += CUSTOM_CXXFLAGS="$(shell dpkg-buildflags --get CXXFLAGS) -g0"
SCONS_FLAGS += CUSTOM_CFLAGS="$(shell dpkg-buildflags --get CFLAGS) -g0"
SCONS_FLAGS += CUSTOM_LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS) -g0"
SCONS_FLAGS += CUSTOM_DEFINES="$(shell dpkg-buildflags --get CPPFLAGS) -g0"

override_dh_auto_configure: debian/stamps/configure-python
debian/stamps/configure-python:
	-mkdir build-python
	-mkdir debian/stamps
	cp -r demo deps fonts include plugins src test utils SConstruct build-python
	touch $@
	$(SCONS) -C build-python configure \
		$(SCONS_FLAGS) \
		CCFLAGS="$(CFLAGS)" \
		DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_build:	debian/stamps/build-python
debian/stamps/build-python:
	$(SCONS) -C build-python

override_dh_prep:
	dh_prep -Xdebian/tmp

override_dh_auto_install:	debian/stamps/install-python
debian/stamps/install-python:
	$(SCONS) -C build-python install

override_dh_auto_clean:
	rm -rf build-python
	rm -rf debian/stamps
	dh_clean

override_dh_auto_test: debian/stamps/test-python
debian/stamps/test-python:
	# nothing yet

%:
	dh $@
