=== debian/watch ===
version=3
opts=uversionmangle=s/\-rc(\d)/\~rc$1/,filenamemangle=s/.*\/v?([\d\.-]+(?:-rc\d)?)\.tar\.gz/mapnik-$1.tar.gz/,dversionmangle=s/\+ds[\d]*$// \
https://github.com/mapnik/mapnik/tags .*/archive/v?([\d\.]+(?:-rc\d)?).tar.gz
