## mapnik 3.0.0+ds

=== debian/changelog ===
mapnik (3.0.0+ds-2build2) wily; urgency=medium

  * No-change rebuild against libgdal1i

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 23 Aug 2015 01:19:38 +0000

mapnik (3.0.0+ds-2build1) wily; urgency=medium

  * No-change rebuild against new libicu

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 05 Aug 2015 17:40:37 +0100

mapnik (3.0.0+ds-2) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Add gbp.conf to use pristine-tar by default.
  * Override dh_install to use --list-missing.
  * Include static libs in libmapnik-dev for python-mapnik and
    node-mapnik build.
  * Don't install nik2img by upstream request.
  * Exclude mips* from supported architectures.

  [ Jérémy Lal ]
  * Add a short explanation and a link to upstream explanation into
    README.Debian.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 16 Jul 2015 18:46:44 +0200

mapnik (3.0.0+ds-1) unstable; urgency=medium

  * Do not append CPPFLAGS to CUSTOM_DEFINES (Closes: #791482)
    Thanks to James Cowgill.
  * Imported Upstream version 3.0.0+ds
  * Remove deps/clipper from copyright section

 -- Jérémy Lal <kapouer@melix.org>  Wed, 08 Jul 2015 22:15:48 +0200
