=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: mapnik
 Priority: optional
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
  , David Paleino <dapal@debian.org>
  , Francesco Paolo Lovergine <frankie@debian.org>
@@ -38,7 +39,7 @@
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/mapnik.git
 
 Package: libmapnik3.0
-Architecture: any
+Architecture: any-amd64 any-i386 arm64 armel armhf powerpc ppc64el s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
 Depends:
  ${shlibs:Depends}
  , ${misc:Depends}
@@ -78,7 +79,7 @@
 
 Package: libmapnik-dev
 Section: libdevel
-Architecture: any
+Architecture: any-amd64 any-i386 arm64 armel armhf powerpc ppc64el s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
 Breaks: libmapnik2-dev (<< 2.2.0+ds1-1~)
 Replaces: libmapnik2-dev (<< 2.2.0+ds1-1~)
 Depends:
@@ -122,7 +123,7 @@
 
 Package: mapnik-utils
 Section: utils
-Architecture: any
+Architecture: any-amd64 any-i386 arm64 armel armhf powerpc ppc64el s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
 Depends:
  ${shlibs:Depends}
  , ${misc:Depends}
