=== debian/rules ===
--- 
+++ 
@@ -18,10 +18,9 @@
 SCONS_FLAGS += DEMO=False
 SCONS_FLAGS += CPP_TESTS=False
 SCONS_FLAGS += PREFIX=/usr LIB_DIR_NAME=/mapnik/3.0
-SCONS_FLAGS += CUSTOM_CXXFLAGS="$(shell dpkg-buildflags --get CXXFLAGS) -g0"
-SCONS_FLAGS += CUSTOM_CFLAGS="$(shell dpkg-buildflags --get CFLAGS) -g0"
+SCONS_FLAGS += CUSTOM_CXXFLAGS="$(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) -g0"
+SCONS_FLAGS += CUSTOM_CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) -g0"
 SCONS_FLAGS += CUSTOM_LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS) -g0"
-SCONS_FLAGS += CUSTOM_DEFINES="$(shell dpkg-buildflags --get CPPFLAGS) -g0"
 
 override_dh_auto_configure: debian/stamps/configure-python
 debian/stamps/configure-python:
@@ -54,6 +53,11 @@
 debian/stamps/test-python:
 	# nothing yet
 
+override_dh_install:
+	# Don't install nik2img, as requested by upstream
+	$(RM) debian/*/usr/bin/nik2img
+	dh_install --list-missing
+
 %:
 	dh $@
