## mapnik 3.0.3+ds

=== debian/changelog ===
mapnik (3.0.3+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file repacksuffix and use common mangling options.
  * Update copyright file, sort & align copyright holders.
  * Refresh patches.
  * Tweak watch file to support v3.0.0-rc-offset.
  * Restructure control file with cme, change:
    - Update Vcs-Browser URL to use cgit instead of gitweb, and HTTPS.
  * Add upstream metadata.
  * Drop librasterlite dependency, input driver removed in 3.0.1 due to
    deprecation of librasterlite by its developer. See also:
    https://github.com/mapnik/mapnik/issues/2977
  * Rebuild for gdal transition.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Aug 2015 20:34:51 +0200
