=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # -O2
 SCONS_FLAGS += OPTIMIZATION=2
 SCONS_FLAGS += FULL_LIB_PATH=False
-SCONS_FLAGS += INPUT_PLUGINS=csv,gdal,geojson,ogr,osm,pgraster,postgis,raster,rasterlite,shape,sqlite,topojson
+SCONS_FLAGS += INPUT_PLUGINS=csv,gdal,geojson,ogr,pgraster,postgis,raster,shape,sqlite,topojson
 SCONS_FLAGS += PROJ_INCLUDES=/usr/include PROJ_LIBS=/usr/lib
 SCONS_FLAGS += SYSTEM_FONTS=/usr/share/fonts
 SCONS_FLAGS += XMLPARSER=libxml2
