=== debian/changelog ===
mapnik (3.0.7+ds-4) unstable; urgency=medium

  * Fix typo in NJOBS variable for non parallel builds on arm64 & armel.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Oct 2015 22:42:36 +0200

mapnik (3.0.7+ds-3) unstable; urgency=medium

  * Fix disabling of parallel builds on arm64 & armel. 

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Oct 2015 17:27:24 +0200

mapnik (3.0.7+ds-2) unstable; urgency=medium

  * Disable parallel builds on arm64 & armel. 

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Oct 2015 16:50:20 +0200

mapnik (3.0.7+ds-1) unstable; urgency=medium

  * New upstream release.
  * Don't install mapnik-render, like nik2img before the rename.
  * Pass -j<N> to build and install commands too.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Oct 2015 09:09:29 +0200

mapnik (3.0.6+ds-1) unstable; urgency=medium

  * New upstream release.
  * Re-enable parallel builds, problematic architectures no longer supported.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Oct 2015 15:59:25 +0200

mapnik (3.0.5+ds-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.
  * Drop libmapnik2-dev transitional package.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 20 Sep 2015 12:07:06 +0200

mapnik (3.0.4+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 30 Aug 2015 13:40:37 +0200
