=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,21 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+NJOBS := -j1
+ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
+NJOBS := -j$(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
+endif
+
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+# Disable parallel builds for problematic architectures
+ifneq (,$(findstring $(DEB_HOST_ARCH),"arm64 armel"))
+	NJOBS = -j1
+endif
+
 # scons flags
-# Disable parallel build - it exhausts memory on s390, mipsel, mips
 SCONS = $(shell which scons)
-SCONS_FLAGS := -j1
+SCONS_FLAGS := $(NJOBS)
 # -O2
 SCONS_FLAGS += OPTIMIZATION=2
 SCONS_FLAGS += FULL_LIB_PATH=False
@@ -22,6 +33,14 @@
 SCONS_FLAGS += CUSTOM_CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) -g0"
 SCONS_FLAGS += CUSTOM_LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS) -g0"
 
+%:
+	dh $@ --parallel
+
+override_dh_auto_clean:
+	rm -rf build-python
+	rm -rf debian/stamps
+	dh_clean
+
 override_dh_auto_configure: debian/stamps/configure-python
 debian/stamps/configure-python:
 	-mkdir build-python
@@ -35,29 +54,21 @@
 
 override_dh_auto_build:	debian/stamps/build-python
 debian/stamps/build-python:
-	$(SCONS) -C build-python
-
-override_dh_prep:
-	dh_prep -Xdebian/tmp
-
-override_dh_auto_install:	debian/stamps/install-python
-debian/stamps/install-python:
-	$(SCONS) -C build-python install
-
-override_dh_auto_clean:
-	rm -rf build-python
-	rm -rf debian/stamps
-	dh_clean
+	$(SCONS) $(NJOBS) -C build-python
 
 override_dh_auto_test: debian/stamps/test-python
 debian/stamps/test-python:
 	# nothing yet
 
+override_dh_auto_install: debian/stamps/install-python
+debian/stamps/install-python:
+	$(SCONS) $(NJOBS) -C build-python install
+
 override_dh_install:
-	# Don't install nik2img, as requested by upstream
-	$(RM) debian/*/usr/bin/nik2img
+	# Don't install mapnik-render (previously nik2img), as requested by upstream
+	$(RM) debian/*/usr/bin/mapnik-render
 	dh_install --list-missing
 
-%:
-	dh $@
+override_dh_prep:
+	dh_prep -Xdebian/tmp
