## mapnik 3.0.8+ds

=== debian/changelog ===
mapnik (3.0.8+ds-1) unstable; urgency=medium

  * New upstream release.
  * Don't remove mapnik-render anymore, upstream says it's suitable for
    inclusion now.
  * Include mapnik-index utility in mapnik-utils.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 24 Oct 2015 12:56:59 +0200
