=== debian/rules ===
--- 
+++ 
@@ -65,8 +65,6 @@
 	$(SCONS) $(NJOBS) -C build-python install
 
 override_dh_install:
-	# Don't install mapnik-render (previously nik2img), as requested by upstream
-	$(RM) debian/*/usr/bin/mapnik-render
 	dh_install --list-missing
 
 override_dh_prep:
