## mapnik 3.0.9%2Bds

=== debian/changelog ===
mapnik (3.0.9+ds-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 26 Nov 2015 21:10:31 +0100

mapnik (3.0.9~rc3+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Disable parallel builds on armhf too.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Nov 2015 23:58:32 +0100

mapnik (3.0.9~rc2+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Disable parallel builds for Ubuntu on amd64 & ppc64el too.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Nov 2015 00:09:59 +0100

mapnik (3.0.9~rc1+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
    (closes: #803985)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Nov 2015 23:30:15 +0100
