=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Uploaders: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>,
            David Paleino <dapal@debian.org>,
            Francesco Paolo Lovergine <frankie@debian.org>,
-           Jérémy Lal <kapouer@melix.org>
+           Jérémy Lal <kapouer@melix.org>,
+           Bas Couwenberg <sebastic@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: scons,
@@ -52,25 +53,6 @@
  is intended to work in multi-threaded environments
  .
  This package contains the shared library and input plugins.
-
-Package: libmapnik2-dev
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: libmapnik-dev,
-         ${misc:Depends}
-Description: C++ toolkit for developing GIS applications (dummy)
- Mapnik is an OpenSource C++ toolkit for developing GIS
- (Geographic Information Systems) applications. At the core is a C++
- shared library providing algorithms/patterns for spatial data access and
- visualization.
- .
- Essentially a collection of geographic objects (map, layer, datasource,
- feature, geometry), the library doesn't rely on "windowing systems" and
- is intended to work in multi-threaded environments
- .
- This package is a transitional package, and can be safely removed if
- nobody depends on it.
 
 Package: libmapnik-dev
 Architecture: any-amd64 any-i386 arm64 armel armhf powerpc ppc64el s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
