## mapnik 3.0.11+ds

=== debian/changelog ===
mapnik (3.0.11+ds-1build3) yakkety; urgency=medium

  * Rebuild against gdal-abi-2-1-1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Jul 2016 16:11:56 +0200

mapnik (3.0.11+ds-1build2) yakkety; urgency=medium

  * No-change rebuild against gdal-abi-2-1-0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 20 May 2016 23:56:20 +0000

mapnik (3.0.11+ds-1build1) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Apr 2016 14:11:09 +0000

mapnik (3.0.11+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop refactor-markers_placement_finder.patch, applied upstream.
  * Refresh remaining patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Apr 2016 01:44:11 +0200

mapnik (3.0.10+ds-2) unstable; urgency=medium

  * Remove hurd-i386 & kfreebsd-i386 from supported architectures.
  * Add patch to refactor markers_placement_finder.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 20 Mar 2016 13:22:07 +0100

mapnik (3.0.10+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Git URL to use HTTPS.
  * Add patches for various typos.
  * Bump Standards-Version to 3.9.7, no changes.
  * Override dh_strip to not generate automatic dbgsym packages,
    those debug files have no debug symbols.
  * Disable parallel builds on alpha, hurd-i386 & kfreebsd-* too.
  * Update copyright file, changes:
    - Update copyright years for Artem Pavlenko.
    - Drop license & copyright for src/miniz.c, no longer included
  * Drop 2001_ftemplate-depth.patch, applied upstream.
  * Add --shape-index option to shapeindex manpage.
  * Add (build) dependency on libmapbox-variant-dev.
  * Enable all hardening buildflags, except pie
    (causes python-mapnik build failures).

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 18 Mar 2016 18:13:42 +0100
