=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: mapnik
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>,
            David Paleino <dapal@debian.org>,
            Francesco Paolo Lovergine <frankie@debian.org>,
@@ -17,6 +18,7 @@
                libboost-program-options-dev,
                libharfbuzz-dev,
                libicu-dev,
+               libmapbox-variant-dev,
                libpng-dev,
                libjpeg-dev,
                libtiff-dev,
@@ -31,13 +33,13 @@
                libsqlite3-dev,
                libcurl4-gnutls-dev,
                libwebp-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapnik.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/mapnik.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapnik.git
 Homepage: http://www.mapnik.org/
 
 Package: libmapnik3.0
-Architecture: any-amd64 any-i386 arm64 armel armhf powerpc ppc64el s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
+Architecture: any-amd64 i386 arm64 armel armhf powerpc ppc64el s390x alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ttf-dejavu
@@ -55,7 +57,7 @@
  This package contains the shared library and input plugins.
 
 Package: libmapnik-dev
-Architecture: any-amd64 any-i386 arm64 armel armhf powerpc ppc64el s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
+Architecture: any-amd64 i386 arm64 armel armhf powerpc ppc64el s390x alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
 Section: libdevel
 Depends: ${misc:Depends},
          libmapnik3.0 (= ${binary:Version}),
@@ -65,8 +67,9 @@
          libboost-thread-dev,
          libboost-regex-dev,
          libboost-program-options-dev,
+         libharfbuzz-dev,
          libicu-dev,
-         libharfbuzz-dev,
+         libmapbox-variant-dev,
          libpng-dev,
          libjpeg-dev,
          libtiff-dev,
@@ -80,6 +83,7 @@
          libgdal-dev,
          libsqlite3-dev,
          libcurl4-gnutls-dev,
+         libwebp-dev
 Recommends: mapnik-doc
 Breaks: libmapnik2-dev (<< 2.2.0+ds1-1~)
 Replaces: libmapnik2-dev (<< 2.2.0+ds1-1~)
@@ -97,7 +101,7 @@
  build utilities.
 
 Package: mapnik-utils
-Architecture: any-amd64 any-i386 arm64 armel armhf powerpc ppc64el s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
+Architecture: any-amd64 i386 arm64 armel armhf powerpc ppc64el s390x alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
 Section: utils
 Depends: ${shlibs:Depends},
          ${misc:Depends}
